# HG changeset patch
# Node ID 5309686fbd96
# Parent  ff7a6c6f01f7
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -235,7 +235,11 @@
 		  purple_request_field_get_field_type
 		* PurpleRoomlist is now a GObject. Please see the documentation for
 		  details.
+		* purple_request_field_group_get_tab
+		* purple_request_field_group_set_tab
 		* purple_request_field_list_get_items now returns list of PurpleKeyValuePair
+		* purple_request_fields_get_tab_names
+		* purple_request_fields_set_tab_names
 		* purple_roomlist_room_get_type is now
 		  purple_roomlist_room_get_room_type
 		* purple_roomlist_field_get_type is now
diff --git a/libpurple/request.h b/libpurple/request.h
--- a/libpurple/request.h
+++ b/libpurple/request.h
@@ -599,29 +599,6 @@
 GList *purple_request_fields_get_groups(const PurpleRequestFields *fields);
 
 /**
- * purple_request_fields_set_tab_names:
- * @fields:    The fields list.
- * @tab_names: NULL-terminated array of localized tab labels,
- *                  may be %NULL.
- *
- * Set tab names for a field list.
- */
-void purple_request_fields_set_tab_names(PurpleRequestFields *fields,
-	const gchar **tab_names);
-
-/**
- * purple_request_fields_get_tab_names:
- * @fields: The fields list.
- *
- * Returns tab names of a field list.
- *
- * Returns: (array zero-terminated=1) (transfer none): Localized tab labels, or
- *          %NULL if tabs are disabled.
- */
-const gchar **
-purple_request_fields_get_tab_names(const PurpleRequestFields *fields);
-
-/**
  * purple_request_fields_exists:
  * @fields: The fields list.
  * @id:     The ID of the field.
@@ -809,30 +786,6 @@
 PurpleRequestFieldGroup *purple_request_field_group_new(const char *title);
 
 /**
- * purple_request_field_group_set_tab:
- * @group:  The group.
- * @tab_no: The tab number.
- *
- * Sets tab number for a group.
- *
- * See purple_request_fields_set_tab_names().
- */
-void purple_request_field_group_set_tab(PurpleRequestFieldGroup *group,
-	guint tab_no);
-
-/**
- * purple_request_field_group_get_tab:
- * @group: The group.
- *
- * Returns tab number of a group.
- *
- * See purple_request_fields_get_tab_names().
- *
- * Returns: Tab number.
- */
-guint purple_request_field_group_get_tab(const PurpleRequestFieldGroup *group);
-
-/**
  * purple_request_field_group_destroy:
  * @group: The group to destroy.
  *
diff --git a/libpurple/request.c b/libpurple/request.c
--- a/libpurple/request.c
+++ b/libpurple/request.c
@@ -142,8 +142,6 @@
 
 	GHashTable *fields;
 
-	gchar **tab_names;
-
 	GList *required_fields;
 
 	GList *validated_fields;
@@ -158,7 +156,6 @@
 	PurpleRequestFields *fields_list;
 
 	char *title;
-	gint tab_no;
 
 	GList *fields;
 };
@@ -485,7 +482,6 @@
 {
 	g_return_if_fail(fields != NULL);
 
-	g_strfreev(fields->tab_names);
 	g_list_free_full(fields->groups,
 	                 (GDestroyNotify)purple_request_field_group_destroy);
 	g_list_free(fields->required_fields);
@@ -543,32 +539,6 @@
 	return fields->groups;
 }
 
-void
-purple_request_fields_set_tab_names(PurpleRequestFields *fields,
-	const gchar **tab_names)
-{
-	guint i, tab_count;
-	gchar **new_names;
-
-	g_return_if_fail(fields != NULL);
-
-	tab_count = (tab_names != NULL) ? g_strv_length((gchar **)tab_names) : 0;
-	new_names = (tab_count > 0) ? g_new0(gchar*, tab_count + 1) : NULL;
-	for (i = 0; i < tab_count; i++)
-		new_names[i] = g_strdup(tab_names[i]);
-
-	g_strfreev(fields->tab_names);
-	fields->tab_names = new_names;
-}
-
-const gchar **
-purple_request_fields_get_tab_names(const PurpleRequestFields *fields)
-{
-	g_return_val_if_fail(fields != NULL, NULL);
-
-	return (const gchar **)fields->tab_names;
-}
-
 gboolean
 purple_request_fields_exists(const PurpleRequestFields *fields, const char *id)
 {
@@ -816,20 +786,6 @@
 }
 
 void
-purple_request_field_group_set_tab(PurpleRequestFieldGroup *group, guint tab_no)
-{
-	g_return_if_fail(group != NULL);
-
-	group->tab_no = tab_no;
-}
-
-guint
-purple_request_field_group_get_tab(const PurpleRequestFieldGroup *group)
-{
-	return group->tab_no;
-}
-
-void
 purple_request_field_group_destroy(PurpleRequestFieldGroup *group)
 {
 	g_return_if_fail(group != NULL);
